<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://java.sun.com/jsf/html" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<div class="versiontable">
		<table>
			<tbody>
				<tr>
					<td rowspan="2"><h:graphicImage library="images" name="logo.png" /></td>
					<td colspan="2"><h1>
							<strong>Square²</strong> - SHIP Quality Reports 2
						</h1></td>
				</tr>
				<tr>
					<td>Version</td>
					<td><h:outputText value="#{appl.getVersion(facesContext)} (#{appl.getStage(facesContext)})" /></td>
				</tr>
				<tr>
					<td></td>
					<td>Java</td>
					<td><h:outputText value="#{versionBean.javaVersion}" /></td>
				</tr>
				<tr>
					<td></td>
					<td>CRAN</td>
					<td><h:outputText value="#{versionBean.getRVersion(facesContext)}" /></td>
				</tr>
				<tr>
					<td></td>
					<td>SquareControl2 version</td>
					<td><h:outputText value="#{versionBean.getSquareControl2Version(facesContext)}" /></td>
				</tr>
				<tr>
					<td></td>
					<td>squaremetadatainterface version</td>
					<td><h:outputText value="#{versionBean.getSquaremetadatainterfaceVersion(facesContext)}" /></td>
				</tr>
				<tr>
					<td></td>
					<td>squarereportrenderer version</td>
					<td><h:outputText value="#{versionBean.getSquarereportrendererVersion(facesContext)}" /></td>
				</tr>
        <tr>
          <td></td>
          <td>functionregistrator version</td>
          <td><h:outputText value="#{versionBean.getFunctionRegistratorVersion(facesContext)}" /></td>
        </tr>
				<tr>
					<td></td>
					<td>Square² DB</td>
					<td><h:outputText value="#{versionBean.getDbVersion(facesContext)}" /></td>
				</tr>
			</tbody>
		</table>
	</div>
</h:body>
</html>